Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_utf8_print

## Name

librdf_utf8_print -- Print a UTF-8 string to a stream

## Synopsis

``void `librdf_utf8_print`` (const byte * `input`, int `length`, FILE * `stream`);`

## Arguments

`input`

  UTF-8 string buffer

`length`

  buffer size

`stream`

  FILE* stream

## Description

Pretty prints the UTF-8 string in a pseudo-C character format like \u<hex digits> when the characters fail the `isprint` test.

<<< Previous | Home | Next >>>
librdf_latin1_to_utf8 | Up | Heuristics